## org.eclipse.emf.edit.provider
Class ChildCreationExtenderManager

    java.lang.Object
      org.eclipse.emf.common.util.DelegatingResourceLocator
          org.eclipse.emf.edit.provider.ChildCreationExtenderManager

All Implemented Interfaces:
  ResourceLocator

    public class ChildCreationExtenderManager

extends DelegatingResourceLocator

A child creation extension manager encapsulates a `list of child creation extenders` for a particular package. The list is automatically populated based on `registered extensions` for the package. The manager also acts as resource locator that loads resources from either the primary resource locator or one of the extenders.

Field Summary
`protected org.eclipse.emf.edit.provider.ChildCreationExtenderManager.ChildCreationExtenderList` `childCreationExtenders` The list of child creation extenders.
`protected java.lang.String` `namespace` A key in the `child creation extender registry` which will typically be the namespace of the package being extended.
`protected ResourceLocator` `primaryResourceLocator` The primary resource locator.

Fields inherited from class org.eclipse.emf.common.util.DelegatingResourceLocator
`baseURL, images, resourceBundle, shouldTranslate, strings, untranslatedResourceBundle, untranslatedStrings`

Constructor Summary
`ChildCreationExtenderManager(ResourceLocator primaryResourceLocator, java.lang.String namespace)` Creates an instance for the given primary resource locator to manage the extensions for the given namespace.

Method Summary
`java.util.List<IChildCreationExtender>` `getChildCreationExtenders()` Returns a modifiable list of the child creation extenders.
`protected ResourceLocator[]` `getDelegateResourceLocators()` Returns the delegate resource locators.
`java.util.List<?>` `getNewChildDescriptors(java.lang.Object object, EditingDomain editingDomain)` Returns the list of new child descriptors accumulated from each of the child creation extenders.
`protected ResourceLocator` `getPrimaryResourceLocator()` Returns the primary resource locator.

Methods inherited from class org.eclipse.emf.common.util.DelegatingResourceLocator
`delegatedGetImage, delegatedGetString, doGetImage, doGetString, extensionFor, getBaseURL, getImage, getString, getString, getString, getString, setShouldTranslate, shouldTranslate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### primaryResourceLocator

    protected ResourceLocator primaryResourceLocator

  The primary resource locator.

### namespace

    protected java.lang.String namespace

  A key in the `child creation extender registry` which will typically be the namespace of the package being extended.

### childCreationExtenders

    protected org.eclipse.emf.edit.provider.ChildCreationExtenderManager.ChildCreationExtenderList childCreationExtenders

  The list of child creation extenders.

Constructor Detail

### ChildCreationExtenderManager

    public ChildCreationExtenderManager(ResourceLocator primaryResourceLocator,
                                        java.lang.String namespace)

  Creates an instance for the given primary resource locator to manage the extensions for the given namespace.

  Parameters:
    `primaryResourceLocator` - the resource locator for finding basic resources.
    `namespace` - a key in the `child creation extender registry` which will typically be the namespace of the package whose extensions are being managed.

Method Detail

### getDelegateResourceLocators

    protected ResourceLocator[] getDelegateResourceLocators()

  Description copied from class: `DelegatingResourceLocator`
  Returns the delegate resource locators.

  Specified by:
    `getDelegateResourceLocators` in class `DelegatingResourceLocator`
  Returns:
    the delegate resource locators.

### getPrimaryResourceLocator

    protected ResourceLocator getPrimaryResourceLocator()

  Description copied from class: `DelegatingResourceLocator`
  Returns the primary resource locator.

  Specified by:
    `getPrimaryResourceLocator` in class `DelegatingResourceLocator`
  Returns:
    the primary resource locator.

### getChildCreationExtenders

    public java.util.List<IChildCreationExtender> getChildCreationExtenders()

  Returns a modifiable list of the child creation extenders.

  Returns:
    a modifiable list of the child creation extenders.

### getNewChildDescriptors

    public java.util.List<?> getNewChildDescriptors(java.lang.Object object,
                                                    EditingDomain editingDomain)

  Returns the list of new child descriptors accumulated from each of the child creation extenders.

  Parameters:
    `object` - the owner object of the descriptors.
    `editingDomain` - the domain for the descriptors.
  Returns:
    the list of new child descriptors accumulated from each of the child creation extenders.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.